> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tag Fields for a Business

> **Scopes:** `tag:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/business/{business_id}/tag-fields
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/tag-fields:
    get:
      tags:
        - Tag
      summary: List Tag Fields for a Business
      description: '**Scopes:** `tag:read`'
      operationId: list_tag_fields_v0_business__business_id__tag_fields_get
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Filter by tag field IDs, comma-separated
            title: Ids
          description: Filter by tag field IDs, comma-separated
        - name: includes
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Comma-separated list of related objects to include. Supported:
              tag_values
            title: Includes
          description: >-
            Comma-separated list of related objects to include. Supported:
            tag_values
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagFieldsWithTagValuesListSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - tag:read
components:
  schemas:
    TagFieldsWithTagValuesListSuccess:
      properties:
        data:
          items:
            $ref: '#/components/schemas/TagFieldWithTagValuesPublic'
          type: array
          title: Data
      type: object
      required:
        - data
      title: TagFieldsWithTagValuesListSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TagFieldWithTagValuesPublic:
      properties:
        id:
          type: string
          format: tf_string
          title: Id
          description: The ID of the tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The name of the tag field
          examples:
            - Job
        tag_values:
          anyOf:
            - items:
                $ref: '#/components/schemas/TagValuePublic'
              type: array
            - type: 'null'
          title: Tag Values
          description: The tag values for this tag field
      type: object
      required:
        - id
        - name
      title: TagFieldWithTagValuesPublic
    TagValuePublic:
      properties:
        id:
          type: string
          format: tv_string
          title: Id
          description: The ID of the tag value
          examples:
            - tv_GA6EG2qFxA97NZHtxeLPUy
        tag_field_id:
          type: string
          format: tf_string
          title: Tag Field Id
          description: The ID of the parent tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The tag value name
          examples:
            - job-123
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
          description: Optional metadata
      type: object
      required:
        - id
        - tag_field_id
        - name
      title: TagValuePublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````